SELECTED ENTRIES
CATEGORIES
ARCHIVES
MOBILE
qrcode
LINKS
PROFILE
OTHERS

08
--
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
--
>>
<<
--

とんこつブログ

<< Virtual Box 共有フォルダ | main |
ubuntuアップグレード
0

    ubuntu 14.04.6 LTS --> 16.04.6 に upgrade するときに困ったのでメモ.

     

    > do-release-upgrade
    を試みたが,

     

    Could not calculate the upgrade
    An unresolvable problem occurred while calculating the upgrade.

    とのエラーで途中終了.

     

    > grep Broken /var/log/dist-upgrade/apt.log
    をすると,gnuplot 関連で壊れている部分があるみたい.

     

    (一部抜粋)
    Broken gnuplot-x11:amd64 Conflicts on gnuplot-nox [ amd64 ] < 4.4.3-0ubuntu3 -> 4.6.6-3 > ( universe/math )
    Broken gnuplot-nox:amd64 Conflicts on gnuplot-x11 [ amd64 ] < 4.4.3-0ubuntu3 -> 4.6.6-3 > ( universe/math )
    Broken gnuplot-tex:amd64 Breaks on gnuplot-nox [ amd64 ] < 4.4.3-0ubuntu3 -> 4.6.6-3 > ( universe/math ) (< 4.6.5-5)
    Broken gnuplot-tex:amd64 Breaks on gnuplot-x11 [ amd64 ] < 4.4.3-0ubuntu3 -> 4.6.6-3 > ( universe/math ) (< 4.6.5-5)
    Broken gnuplot-x11:amd64 Conflicts on gnuplot-nox [ amd64 ] < 4.4.3-0ubuntu3 -> 4.6.6-3 > ( universe/math )
    Broken gnuplot-nox:amd64 Conflicts on gnuplot-x11 [ amd64 ] < 4.4.3-0ubuntu3 -> 4.6.6-3 > ( universe/math )
    (一部抜粋)

     

    > apt-get remove gnuplot-x11
    > apt-get remove gnuplot-nox
    > apt-get remove gnuplot-tex

    を実行したらうまくいった.


    以下を参考にした.
    https://askubuntu.com/questions/360293/could-not-calculate-the-upgrade-what-happened


    upgrade後に apt-get が動かなくなった.

     

    apt-get: relocation error:

    というエラーがでる.

     

    以下で解決.
    https://linuxscriptshub.com/apt-relocation-error-upgrade-ubuntu-12-16-solution/

     

    | Linux | 16:02 | comments(0) | - | - |